//
//  setup_machine_dlg.cpp - setup machine dialog class implementation
//
//  $Id: setup_machine_dlg.cpp 1 2007-04-15 22:52:37Z brian $ 
//
//  Copyright (c) 1999-2007 by Precision Micro Control Corp. All rights reserved.
//
#include "stdafx.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

//
// CSetupMachineCoorDlg dialog
//
CSetupMachineCoorDlg::CSetupMachineCoorDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetupMachineCoorDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetupMachineCoorDlg)
	m_UMachineOffset = "";
	m_VMachineOffset = "";
	m_WMachineOffset = "";
	m_XMachineOffset = "";
	m_YMachineOffset = "";
	m_ZMachineOffset = "";
	//}}AFX_DATA_INIT
}

void CSetupMachineCoorDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetupMachineCoorDlg)
	DDX_Text(pDX, IDC_UMACHOFFSET, m_UMachineOffset);
	DDX_Text(pDX, IDC_VMACHOFFSET, m_VMachineOffset);
	DDX_Text(pDX, IDC_WMACHOFFSET, m_WMachineOffset);
	DDX_Text(pDX, IDC_XMACHOFFSET, m_XMachineOffset);
	DDX_Text(pDX, IDC_YMACHOFFSET, m_YMachineOffset);
	DDX_Text(pDX, IDC_ZMACHOFFSET, m_ZMachineOffset);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSetupMachineCoorDlg, CDialog)
	//{{AFX_MSG_MAP(CSetupMachineCoorDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSetupMachineCoorDlg message handlers
